summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2009-09-04 14:01:42 +0100
committerPádraig Brady <P@draigBrady.com>2009-09-04 17:39:26 +0100
commit82f09f47624361f3788ebe630c004fe854cccdab (patch)
tree01f7863bdeed60675ca2b55d1562d7badd8d3477
parent370fa0fa4241d2c9f1319412d381138d53a5f4fd (diff)
downloadcoreutils-82f09f47624361f3788ebe630c004fe854cccdab.tar.xz
tests: fix a failure when running tail-2/wait as root
* tests/tail-2/wait: Silently skip a portion of the test when running as root, rather than failing the whole test. This regression was introduced with commit 84b5844d, 2009-09-03, "tests: simplify and fix a race in 2 tail --follow tests".
-rwxr-xr-xtests/tail-2/wait13
1 files changed, 8 insertions, 5 deletions
diff --git a/tests/tail-2/wait b/tests/tail-2/wait
index eb04ac230..abe22d735 100755
--- a/tests/tail-2/wait
+++ b/tests/tail-2/wait
@@ -27,15 +27,16 @@ fi
touch here || framework_failure
touch k || framework_failure
{ touch unreadable && chmod a-r unreadable; } || framework_failure
-cat unreadable && framework_failure
fail=0
timeout 1 tail -s0.1 -f not_here
test $? = 124 && fail=1
-timeout 1 tail -s0.1 -f unreadable
-test $? = 124 && fail=1
+if test ! -r unreadable; then # can't test this when root
+ timeout 1 tail -s0.1 -f unreadable
+ test $? = 124 && fail=1
+fi
timeout 1 tail -s0.1 -f here 2>tail.err
test $? = 124 || fail=1
@@ -45,8 +46,10 @@ test $? = 124 || fail=1
timeout 1 tail -s0.1 -F here 2>>tail.err
test $? = 124 || fail=1
-timeout 1 tail -s0.1 -F unreadable
-test $? = 124 || fail=1
+if test ! -r unreadable; then # can't test this when root
+ timeout 1 tail -s0.1 -F unreadable
+ test $? = 124 || fail=1
+fi
timeout 1 tail -s0.1 -F not_here
test $? = 124 || fail=1